Index: /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GAVrpSampleTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GAVrpSampleTest.cs	(revision 11907)
+++ /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GAVrpSampleTest.cs	(revision 11907)
@@ -0,0 +1,116 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.IO;
+using System.Linq;
+using HeuristicLab.Algorithms.GeneticAlgorithm;
+using HeuristicLab.Persistence.Default.Xml;
+using HeuristicLab.Problems.Instances;
+using HeuristicLab.Problems.Instances.VehicleRouting;
+using HeuristicLab.Problems.VehicleRouting;
+using HeuristicLab.Problems.VehicleRouting.Encodings.General;
+using HeuristicLab.Problems.VehicleRouting.Encodings.Potvin;
+using HeuristicLab.Problems.VehicleRouting.ProblemInstances;
+using HeuristicLab.Selection;
+using Microsoft.VisualStudio.TestTools.UnitTesting;
+
+namespace HeuristicLab.Tests {
+  [TestClass]
+  public class GAVrpSampleTest {
+    private const string SampleFileName = "GA_VRP";
+
+    [TestMethod]
+    [TestCategory("Samples.Create")]
+    [TestProperty("Time", "medium")]
+    public void CreateGaVrpSampleTest() {
+      var ga = CreateGaVrpSample();
+      string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
+      XmlGenerator.Serialize(ga, path);
+    }
+
+    [TestMethod]
+    [TestCategory("Samples.Execute")]
+    [TestProperty("Time", "long")]
+    public void RunGaVrpSampleTest() {
+      var ga = CreateGaVrpSample();
+      ga.SetSeedRandomly.Value = false;
+      SamplesUtils.RunAlgorithm(ga);
+      Assert.AreEqual(1828.9368669428338, SamplesUtils.GetDoubleResult(ga, "BestQuality"));
+      Assert.AreEqual(1830.1444308908331, SamplesUtils.GetDoubleResult(ga, "CurrentAverageQuality"));
+      Assert.AreEqual(1871.7128510304112, SamplesUtils.GetDoubleResult(ga, "CurrentWorstQuality"));
+      Assert.AreEqual(99100, SamplesUtils.GetIntResult(ga, "EvaluatedSolutions"));
+    }
+
+    private GeneticAlgorithm CreateGaVrpSample() {
+      GeneticAlgorithm ga = new GeneticAlgorithm();
+
+      #region Problem Configuration
+      VehicleRoutingProblem vrpProblem = new VehicleRoutingProblem();
+
+      SolomonFormatInstanceProvider instanceProvider = new SolomonInstanceProvider();
+      CVRPTWData data = instanceProvider.Import(@"Test Resources\C101.txt", @"Test Resources\C101.opt.txt") as CVRPTWData;
+      vrpProblem.Load(data);
+      vrpProblem.Name = "C101 VRP (imported from Solomon)";
+      vrpProblem.Description = "Represents a Vehicle Routing Problem.";
+      CVRPTWProblemInstance instance = vrpProblem.ProblemInstance as CVRPTWProblemInstance;
+      instance.DistanceFactor.Value = 1;
+      instance.FleetUsageFactor.Value = 100;
+      instance.OverloadPenalty.Value = 100;
+      instance.TardinessPenalty.Value = 100;
+      instance.TimeFactor.Value = 0;
+      vrpProblem.MaximizationParameter.Value.Value = false;
+      instance.UseDistanceMatrix.Value = true;
+      instance.Vehicles.Value = 25;
+      #endregion
+      #region Algorithm Configuration
+      ga.Name = "Genetic Algorithm - VRP";
+      ga.Description = "A genetic algorithm which solves the \"C101\" vehicle routing problem (imported from Solomon)";
+      ga.Problem = vrpProblem;
+      SamplesUtils.ConfigureGeneticAlgorithmParameters<TournamentSelector, MultiVRPSolutionCrossover, MultiVRPSolutionManipulator>(
+        ga, 100, 1, 1000, 0.05, 3);
+
+      var xOver = (MultiVRPSolutionCrossover)ga.Crossover;
+      foreach (var op in xOver.Operators) {
+        xOver.Operators.SetItemCheckedState(op, false);
+      }
+      xOver.Operators.SetItemCheckedState(xOver.Operators
+        .OfType<PotvinRouteBasedCrossover>()
+        .Single(), true);
+      xOver.Operators.SetItemCheckedState(xOver.Operators
+        .OfType<PotvinSequenceBasedCrossover>()
+        .Single(), true);
+
+      var manipulator = (MultiVRPSolutionManipulator)ga.Mutator;
+      foreach (var op in manipulator.Operators) {
+        manipulator.Operators.SetItemCheckedState(op, false);
+      }
+      manipulator.Operators.SetItemCheckedState(manipulator.Operators
+        .OfType<PotvinOneLevelExchangeMainpulator>()
+        .Single(), true);
+      manipulator.Operators.SetItemCheckedState(manipulator.Operators
+        .OfType<PotvinTwoLevelExchangeManipulator>()
+        .Single(), true);
+      #endregion
+
+      return ga;
+    }
+  }
+}
Index: /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPArtificialAntSampleTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPArtificialAntSampleTest.cs	(revision 11907)
+++ /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPArtificialAntSampleTest.cs	(revision 11907)
@@ -0,0 +1,94 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.IO;
+using System.Linq;
+using HeuristicLab.Algorithms.GeneticAlgorithm;
+using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
+using HeuristicLab.Persistence.Default.Xml;
+using HeuristicLab.Problems.ArtificialAnt;
+using HeuristicLab.Selection;
+using Microsoft.VisualStudio.TestTools.UnitTesting;
+
+namespace HeuristicLab.Tests {
+  [TestClass]
+  public class GPArtificialAntSampleTest {
+    private const string SampleFileName = "SGP_SantaFe";
+
+    [TestMethod]
+    [TestCategory("Samples.Create")]
+    [TestProperty("Time", "medium")]
+    public void CreateGpArtificialAntSampleTest() {
+      var ga = CreateGpArtificialAntSample();
+      string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
+      XmlGenerator.Serialize(ga, path);
+    }
+
+    [TestMethod]
+    [TestCategory("Samples.Execute")]
+    [TestProperty("Time", "long")]
+    public void RunGpArtificialAntSampleTest() {
+      var ga = CreateGpArtificialAntSample();
+      ga.SetSeedRandomly.Value = false;
+      SamplesUtils.RunAlgorithm(ga);
+      Assert.AreEqual(81, SamplesUtils.GetDoubleResult(ga, "BestQuality"));
+      Assert.AreEqual(48.19, SamplesUtils.GetDoubleResult(ga, "CurrentAverageQuality"));
+      Assert.AreEqual(0, SamplesUtils.GetDoubleResult(ga, "CurrentWorstQuality"));
+      Assert.AreEqual(50950, SamplesUtils.GetIntResult(ga, "EvaluatedSolutions"));
+    }
+
+    public GeneticAlgorithm CreateGpArtificialAntSample() {
+      GeneticAlgorithm ga = new GeneticAlgorithm();
+
+      #region Problem Configuration
+      ArtificialAntProblem antProblem = new ArtificialAntProblem();
+      antProblem.BestKnownQuality.Value = 89;
+      antProblem.MaxExpressionDepth.Value = 10;
+      antProblem.MaxExpressionLength.Value = 100;
+      antProblem.MaxFunctionArguments.Value = 3;
+      antProblem.MaxFunctionDefinitions.Value = 3;
+      antProblem.MaxTimeSteps.Value = 600;
+      #endregion
+      #region Algorithm Configuration
+      ga.Name = "Genetic Programming - Artificial Ant";
+      ga.Description = "A standard genetic programming algorithm to solve the artificial ant problem (Santa-Fe trail)";
+      ga.Problem = antProblem;
+      SamplesUtils.ConfigureGeneticAlgorithmParameters<TournamentSelector, SubtreeCrossover, MultiSymbolicExpressionTreeArchitectureManipulator>(
+        ga, 1000, 1, 50, 0.15, 5);
+      var mutator = (MultiSymbolicExpressionTreeArchitectureManipulator)ga.Mutator;
+      mutator.Operators.SetItemCheckedState(mutator.Operators
+        .OfType<FullTreeShaker>()
+        .Single(), false);
+      mutator.Operators.SetItemCheckedState(mutator.Operators
+        .OfType<OnePointShaker>()
+        .Single(), false);
+      mutator.Operators.SetItemCheckedState(mutator.Operators
+        .OfType<ArgumentDeleter>()
+        .Single(), false);
+      mutator.Operators.SetItemCheckedState(mutator.Operators
+        .OfType<SubroutineDeleter>()
+        .Single(), false);
+      #endregion
+
+      return ga;
+    }
+  }
+}
Index: /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPLawnMowerSampleTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPLawnMowerSampleTest.cs	(revision 11907)
+++ /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPLawnMowerSampleTest.cs	(revision 11907)
@@ -0,0 +1,67 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Linq;
+using HeuristicLab.Algorithms.GeneticAlgorithm;
+using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
+using HeuristicLab.Selection;
+using Microsoft.VisualStudio.TestTools.UnitTesting;
+
+namespace HeuristicLab.Tests {
+  [TestClass]
+  public class GPLawnMowerSampleTest {
+    [TestMethod]
+    [TestCategory("Samples.Execute")]
+    [TestProperty("Time", "long")]
+    public void RunGpLawnMowerSampleTest() {
+      var ga = CreateGpLawnMowerSample();
+      ga.SetSeedRandomly.Value = false;
+      SamplesUtils.RunAlgorithm(ga);
+    }
+
+    public GeneticAlgorithm CreateGpLawnMowerSample() {
+      GeneticAlgorithm ga = new GeneticAlgorithm();
+
+      #region Problem Configuration
+
+      var problem = new HeuristicLab.Problems.LawnMower.Problem();
+
+      #endregion
+      #region Algorithm Configuration
+
+      ga.Name = "Genetic Programming - Lawn Mower";
+      ga.Description = "A standard genetic programming algorithm to solve the lawn mower problem";
+      ga.Problem = problem;
+      SamplesUtils
+        .ConfigureGeneticAlgorithmParameters
+        <TournamentSelector, SubtreeCrossover, MultiSymbolicExpressionTreeArchitectureManipulator>(
+          ga, 1000, 1, 50, 0.25, 5);
+      var mutator = (MultiSymbolicExpressionTreeArchitectureManipulator)ga.Mutator;
+      mutator.Operators.SetItemCheckedState(mutator.Operators
+        .OfType<OnePointShaker>()
+        .Single(), false);
+
+      #endregion
+
+      return ga;
+    }
+  }
+}
Index: /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPMultiplexerSampleTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPMultiplexerSampleTest.cs	(revision 11906)
+++ /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPMultiplexerSampleTest.cs	(revision 11907)
@@ -33,10 +33,5 @@
   [TestClass]
   public class GPMultiplexerSampleTest {
-    private const string samplesDirectory = SamplesUtils.Directory;
-    [ClassInitialize]
-    public static void MyClassInitialize(TestContext testContext) {
-      if (!Directory.Exists(samplesDirectory))
-        Directory.CreateDirectory(samplesDirectory);
-    }
+    private const string SampleFileName = "GP_Multiplexer";
 
     [TestMethod]
@@ -45,5 +40,5 @@
     public void CreateGpMultiplexerSampleTest() {
       var ga = CreateGpMultiplexerSample();
-      var path = Path.Combine(samplesDirectory, "GP_Multiplexer.hl");
+      string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
       XmlGenerator.Serialize(ga, path);
     }
Index: /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPSymbolicClassificationSampleTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPSymbolicClassificationSampleTest.cs	(revision 11907)
+++ /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPSymbolicClassificationSampleTest.cs	(revision 11907)
@@ -0,0 +1,154 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.IO;
+using System.Linq;
+using HeuristicLab.Algorithms.GeneticAlgorithm;
+using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
+using HeuristicLab.Persistence.Default.Xml;
+using HeuristicLab.Problems.DataAnalysis;
+using HeuristicLab.Problems.DataAnalysis.Symbolic;
+using HeuristicLab.Problems.DataAnalysis.Symbolic.Classification;
+using HeuristicLab.Problems.Instances.DataAnalysis;
+using HeuristicLab.Selection;
+using Microsoft.VisualStudio.TestTools.UnitTesting;
+
+namespace HeuristicLab.Tests {
+  [TestClass]
+  public class GPSymbolicClassificationSampleTest {
+    private const string SampleFileName = "SGP_SymbClass";
+
+    [TestMethod]
+    [TestCategory("Samples.Create")]
+    [TestProperty("Time", "medium")]
+    public void CreateGpSymbolicClassificationSampleTest() {
+      var ga = CreateGpSymbolicClassificationSample();
+      string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
+      XmlGenerator.Serialize(ga, path);
+    }
+
+    [TestMethod]
+    [TestCategory("Samples.Execute")]
+    [TestProperty("Time", "long")]
+    public void RunGpSymbolicClassificationSampleTest() {
+      var ga = CreateGpSymbolicClassificationSample();
+      ga.SetSeedRandomly.Value = false;
+      SamplesUtils.RunAlgorithm(ga);
+      Assert.AreEqual(0.141880203907627, SamplesUtils.GetDoubleResult(ga, "BestQuality"), 1E-8);
+      Assert.AreEqual(4.3246992327753295, SamplesUtils.GetDoubleResult(ga, "CurrentAverageQuality"), 1E-8);
+      Assert.AreEqual(100.62175156249987, SamplesUtils.GetDoubleResult(ga, "CurrentWorstQuality"), 1E-8);
+      Assert.AreEqual(100900, SamplesUtils.GetIntResult(ga, "EvaluatedSolutions"));
+      var bestTrainingSolution = (IClassificationSolution)ga.Results["Best training solution"].Value;
+      Assert.AreEqual(0.80875, bestTrainingSolution.TrainingAccuracy, 1E-8);
+      Assert.AreEqual(0.795031055900621, bestTrainingSolution.TestAccuracy, 1E-8);
+      var bestValidationSolution = (IClassificationSolution)ga.Results["Best validation solution"].Value;
+      Assert.AreEqual(0.81375, bestValidationSolution.TrainingAccuracy, 1E-8);
+      Assert.AreEqual(0.788819875776398, bestValidationSolution.TestAccuracy, 1E-8);
+    }
+
+    private GeneticAlgorithm CreateGpSymbolicClassificationSample() {
+      GeneticAlgorithm ga = new GeneticAlgorithm();
+      #region Problem Configuration
+      SymbolicClassificationSingleObjectiveProblem symbClassProblem = new SymbolicClassificationSingleObjectiveProblem();
+      symbClassProblem.Name = "Mammography Classification Problem";
+      symbClassProblem.Description = "Mammography dataset imported from the UCI machine learning repository (http://archive.ics.uci.edu/ml/datasets/Mammographic+Mass)";
+      UCIInstanceProvider provider = new UCIInstanceProvider();
+      var instance = provider.GetDataDescriptors().Where(x => x.Name.Equals("Mammography, M. Elter, 2007")).Single();
+      var mammoData = (ClassificationProblemData)provider.LoadData(instance);
+      mammoData.TargetVariableParameter.Value = mammoData.TargetVariableParameter.ValidValues
+        .First(v => v.Value == "Severity");
+      mammoData.InputVariables.SetItemCheckedState(
+        mammoData.InputVariables.Single(x => x.Value == "BI-RADS"), false);
+      mammoData.InputVariables.SetItemCheckedState(
+        mammoData.InputVariables.Single(x => x.Value == "Age"), true);
+      mammoData.InputVariables.SetItemCheckedState(
+        mammoData.InputVariables.Single(x => x.Value == "Shape"), true);
+      mammoData.InputVariables.SetItemCheckedState(
+        mammoData.InputVariables.Single(x => x.Value == "Margin"), true);
+      mammoData.InputVariables.SetItemCheckedState(
+        mammoData.InputVariables.Single(x => x.Value == "Density"), true);
+      mammoData.InputVariables.SetItemCheckedState(
+        mammoData.InputVariables.Single(x => x.Value == "Severity"), false);
+      mammoData.TrainingPartition.Start = 0;
+      mammoData.TrainingPartition.End = 800;
+      mammoData.TestPartition.Start = 800;
+      mammoData.TestPartition.End = 961;
+      mammoData.Name = "Data imported from mammographic_masses.csv";
+      mammoData.Description = "Original dataset: http://archive.ics.uci.edu/ml/datasets/Mammographic+Mass, missing values have been replaced with median values.";
+      symbClassProblem.ProblemData = mammoData;
+
+      // configure grammar
+      var grammar = new TypeCoherentExpressionGrammar();
+      grammar.ConfigureAsDefaultClassificationGrammar();
+      grammar.Symbols.OfType<VariableCondition>().Single().Enabled = false;
+      var varSymbol = grammar.Symbols.OfType<Variable>().Where(x => !(x is LaggedVariable)).Single();
+      varSymbol.WeightMu = 1.0;
+      varSymbol.WeightSigma = 1.0;
+      varSymbol.WeightManipulatorMu = 0.0;
+      varSymbol.WeightManipulatorSigma = 0.05;
+      varSymbol.MultiplicativeWeightManipulatorSigma = 0.03;
+      var constSymbol = grammar.Symbols.OfType<Constant>().Single();
+      constSymbol.MaxValue = 20;
+      constSymbol.MinValue = -20;
+      constSymbol.ManipulatorMu = 0.0;
+      constSymbol.ManipulatorSigma = 1;
+      constSymbol.MultiplicativeManipulatorSigma = 0.03;
+      symbClassProblem.SymbolicExpressionTreeGrammar = grammar;
+
+      // configure remaining problem parameters
+      symbClassProblem.BestKnownQuality.Value = 0.0;
+      symbClassProblem.FitnessCalculationPartition.Start = 0;
+      symbClassProblem.FitnessCalculationPartition.End = 400;
+      symbClassProblem.ValidationPartition.Start = 400;
+      symbClassProblem.ValidationPartition.End = 800;
+      symbClassProblem.RelativeNumberOfEvaluatedSamples.Value = 1;
+      symbClassProblem.MaximumSymbolicExpressionTreeLength.Value = 100;
+      symbClassProblem.MaximumSymbolicExpressionTreeDepth.Value = 10;
+      symbClassProblem.MaximumFunctionDefinitions.Value = 0;
+      symbClassProblem.MaximumFunctionArguments.Value = 0;
+      symbClassProblem.EvaluatorParameter.Value = new SymbolicClassificationSingleObjectiveMeanSquaredErrorEvaluator();
+      #endregion
+      #region Algorithm Configuration
+      ga.Problem = symbClassProblem;
+      ga.Name = "Genetic Programming - Symbolic Classification";
+      ga.Description = "A standard genetic programming algorithm to solve a classification problem (Mammographic+Mass dataset)";
+      SamplesUtils.ConfigureGeneticAlgorithmParameters<TournamentSelector, SubtreeCrossover, MultiSymbolicExpressionTreeManipulator>(
+        ga, 1000, 1, 100, 0.15, 5
+        );
+
+      var mutator = (MultiSymbolicExpressionTreeManipulator)ga.Mutator;
+      mutator.Operators.OfType<FullTreeShaker>().Single().ShakingFactor = 0.1;
+      mutator.Operators.OfType<OnePointShaker>().Single().ShakingFactor = 1.0;
+
+      ga.Analyzer.Operators.SetItemCheckedState(
+        ga.Analyzer.Operators
+        .OfType<SymbolicClassificationSingleObjectiveOverfittingAnalyzer>()
+        .Single(), false);
+      ga.Analyzer.Operators.SetItemCheckedState(
+        ga.Analyzer.Operators
+        .OfType<SymbolicDataAnalysisAlleleFrequencyAnalyzer>()
+        .First(), false);
+      #endregion
+      return ga;
+    }
+
+  }
+}
Index: /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPSymbolicRegressionSampleTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPSymbolicRegressionSampleTest.cs	(revision 11907)
+++ /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPSymbolicRegressionSampleTest.cs	(revision 11907)
@@ -0,0 +1,153 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.IO;
+using System.Linq;
+using HeuristicLab.Algorithms.GeneticAlgorithm;
+using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
+using HeuristicLab.Persistence.Default.Xml;
+using HeuristicLab.Problems.DataAnalysis;
+using HeuristicLab.Problems.DataAnalysis.Symbolic;
+using HeuristicLab.Problems.DataAnalysis.Symbolic.Regression;
+using HeuristicLab.Problems.Instances.DataAnalysis;
+using HeuristicLab.Selection;
+using Microsoft.VisualStudio.TestTools.UnitTesting;
+
+namespace HeuristicLab.Tests {
+  [TestClass]
+  public class GPSymbolicRegressionSampleTest {
+    private const string SampleFileName = "SGP_SymbReg";
+
+    [TestMethod]
+    [TestCategory("Samples.Create")]
+    [TestProperty("Time", "medium")]
+    public void CreateGpSymbolicRegressionSampleTest() {
+      var ga = CreateGpSymbolicRegressionSample();
+      string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
+      XmlGenerator.Serialize(ga, path);
+    }
+    [TestMethod]
+    [TestCategory("Samples.Execute")]
+    [TestProperty("Time", "long")]
+    public void RunGpSymbolicRegressionSampleTest() {
+      var ga = CreateGpSymbolicRegressionSample();
+      ga.SetSeedRandomly.Value = false;
+      SamplesUtils.RunAlgorithm(ga);
+      Assert.AreEqual(0.858344291534625, SamplesUtils.GetDoubleResult(ga, "BestQuality"), 1E-8);
+      Assert.AreEqual(0.56758466520692641, SamplesUtils.GetDoubleResult(ga, "CurrentAverageQuality"), 1E-8);
+      Assert.AreEqual(0, SamplesUtils.GetDoubleResult(ga, "CurrentWorstQuality"), 1E-8);
+      Assert.AreEqual(50950, SamplesUtils.GetIntResult(ga, "EvaluatedSolutions"));
+      var bestTrainingSolution = (IRegressionSolution)ga.Results["Best training solution"].Value;
+      Assert.AreEqual(0.85504801557844745, bestTrainingSolution.TrainingRSquared, 1E-8);
+      Assert.AreEqual(0.86259381948647817, bestTrainingSolution.TestRSquared, 1E-8);
+      var bestValidationSolution = (IRegressionSolution)ga.Results["Best validation solution"].Value;
+      Assert.AreEqual(0.84854338315539746, bestValidationSolution.TrainingRSquared, 1E-8);
+      Assert.AreEqual(0.8662813452656678, bestValidationSolution.TestRSquared, 1E-8);
+    }
+
+    private GeneticAlgorithm CreateGpSymbolicRegressionSample() {
+      GeneticAlgorithm ga = new GeneticAlgorithm();
+      #region Problem Configuration
+      SymbolicRegressionSingleObjectiveProblem symbRegProblem = new SymbolicRegressionSingleObjectiveProblem();
+      symbRegProblem.Name = "Tower Symbolic Regression Problem";
+      symbRegProblem.Description = "Tower Dataset (downloaded from: http://www.symbolicregression.com/?q=towerProblem)";
+      RegressionRealWorldInstanceProvider provider = new RegressionRealWorldInstanceProvider();
+      var instance = provider.GetDataDescriptors().Where(x => x.Name.Equals("Tower")).Single();
+      var towerProblemData = (RegressionProblemData)provider.LoadData(instance);
+      towerProblemData.TargetVariableParameter.Value = towerProblemData.TargetVariableParameter.ValidValues
+        .First(v => v.Value == "towerResponse");
+      towerProblemData.InputVariables.SetItemCheckedState(
+        towerProblemData.InputVariables.Single(x => x.Value == "x1"), true);
+      towerProblemData.InputVariables.SetItemCheckedState(
+        towerProblemData.InputVariables.Single(x => x.Value == "x7"), false);
+      towerProblemData.InputVariables.SetItemCheckedState(
+        towerProblemData.InputVariables.Single(x => x.Value == "x11"), false);
+      towerProblemData.InputVariables.SetItemCheckedState(
+        towerProblemData.InputVariables.Single(x => x.Value == "x16"), false);
+      towerProblemData.InputVariables.SetItemCheckedState(
+        towerProblemData.InputVariables.Single(x => x.Value == "x21"), false);
+      towerProblemData.InputVariables.SetItemCheckedState(
+        towerProblemData.InputVariables.Single(x => x.Value == "x25"), false);
+      towerProblemData.InputVariables.SetItemCheckedState(
+        towerProblemData.InputVariables.Single(x => x.Value == "towerResponse"), false);
+      towerProblemData.TrainingPartition.Start = 0;
+      towerProblemData.TrainingPartition.End = 3136;
+      towerProblemData.TestPartition.Start = 3136;
+      towerProblemData.TestPartition.End = 4999;
+      towerProblemData.Name = "Data imported from towerData.txt";
+      towerProblemData.Description = "Chemical concentration at top of distillation tower, dataset downloaded from: http://vanillamodeling.com/realproblems.html, best R² achieved with nu-SVR = 0.97";
+      symbRegProblem.ProblemData = towerProblemData;
+
+      // configure grammar
+      var grammar = new TypeCoherentExpressionGrammar();
+      grammar.ConfigureAsDefaultRegressionGrammar();
+      grammar.Symbols.OfType<VariableCondition>().Single().InitialFrequency = 0.0;
+      var varSymbol = grammar.Symbols.OfType<Variable>().Where(x => !(x is LaggedVariable)).Single();
+      varSymbol.WeightMu = 1.0;
+      varSymbol.WeightSigma = 1.0;
+      varSymbol.WeightManipulatorMu = 0.0;
+      varSymbol.WeightManipulatorSigma = 0.05;
+      varSymbol.MultiplicativeWeightManipulatorSigma = 0.03;
+      var constSymbol = grammar.Symbols.OfType<Constant>().Single();
+      constSymbol.MaxValue = 20;
+      constSymbol.MinValue = -20;
+      constSymbol.ManipulatorMu = 0.0;
+      constSymbol.ManipulatorSigma = 1;
+      constSymbol.MultiplicativeManipulatorSigma = 0.03;
+      symbRegProblem.SymbolicExpressionTreeGrammar = grammar;
+
+      // configure remaining problem parameters
+      symbRegProblem.BestKnownQuality.Value = 0.97;
+      symbRegProblem.FitnessCalculationPartition.Start = 0;
+      symbRegProblem.FitnessCalculationPartition.End = 2300;
+      symbRegProblem.ValidationPartition.Start = 2300;
+      symbRegProblem.ValidationPartition.End = 3136;
+      symbRegProblem.RelativeNumberOfEvaluatedSamples.Value = 1;
+      symbRegProblem.MaximumSymbolicExpressionTreeLength.Value = 150;
+      symbRegProblem.MaximumSymbolicExpressionTreeDepth.Value = 12;
+      symbRegProblem.MaximumFunctionDefinitions.Value = 0;
+      symbRegProblem.MaximumFunctionArguments.Value = 0;
+
+      symbRegProblem.EvaluatorParameter.Value = new SymbolicRegressionSingleObjectivePearsonRSquaredEvaluator();
+      #endregion
+      #region Algorithm Configuration
+      ga.Problem = symbRegProblem;
+      ga.Name = "Genetic Programming - Symbolic Regression";
+      ga.Description = "A standard genetic programming algorithm to solve a symbolic regression problem (tower dataset)";
+      SamplesUtils.ConfigureGeneticAlgorithmParameters<TournamentSelector, SubtreeCrossover, MultiSymbolicExpressionTreeManipulator>(
+        ga, 1000, 1, 50, 0.15, 5);
+      var mutator = (MultiSymbolicExpressionTreeManipulator)ga.Mutator;
+      mutator.Operators.OfType<FullTreeShaker>().Single().ShakingFactor = 0.1;
+      mutator.Operators.OfType<OnePointShaker>().Single().ShakingFactor = 1.0;
+
+      ga.Analyzer.Operators.SetItemCheckedState(
+        ga.Analyzer.Operators
+        .OfType<SymbolicRegressionSingleObjectiveOverfittingAnalyzer>()
+        .Single(), false);
+      ga.Analyzer.Operators.SetItemCheckedState(
+        ga.Analyzer.Operators
+        .OfType<SymbolicDataAnalysisAlleleFrequencyAnalyzer>()
+        .First(), false);
+      #endregion
+      return ga;
+    }
+  }
+}
Index: /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPTimeSeriesSampleTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPTimeSeriesSampleTest.cs	(revision 11906)
+++ /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPTimeSeriesSampleTest.cs	(revision 11907)
@@ -32,10 +32,5 @@
   [TestClass]
   public class GPTimeSeriesSampleTest {
-    private const string samplesDirectory = SamplesUtils.Directory;
-    [ClassInitialize]
-    public static void MyClassInitialize(TestContext testContext) {
-      if (!Directory.Exists(samplesDirectory))
-        Directory.CreateDirectory(samplesDirectory);
-    }
+    private const string SampleFileName = "OSGP_TimeSeries";
 
     [TestMethod]
@@ -44,5 +39,5 @@
     public void CreateGpTimeSeriesSampleTest() {
       var ga = CreateGpTimeSeriesSample();
-      var path = Path.Combine(samplesDirectory, "OSGP_TimeSeries.hl");
+      string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
       XmlGenerator.Serialize(ga, path);
     }
